/**
 * @file dotTest.h
 */

/* ************************************************************************* */

/**
 * a base class
 */
class Base
{
public:
	Base();
	~Base();
};

/* ************************************************************************* */

/**
 * DotTest
 *
 * @dot
 digraph list
 {
 	a -> b -> c;
	d -> b;
 }
 * @enddot
 */
class DotTest : public Base
{
public:
	DotTest();
	~DotTest();

	unsigned long GetCount() const;
	bool IsEmpty() const;
};

/* ************************************************************************* */

Base::Base()
{
}

Base::~Base()
{
}

DotTest::DotTest()
{
}

DotTest::~DotTest()
{
}

/**
 * @return the count
 */
unsigned long DotTest::GetCount() const
{
	return 0;
}

/**
 * @return if it's empty
 */
bool DotTest::IsEmpty() const
{
	return true;
}
